# chkip

🛠️ Ein praktisches DNS- und Mailserver-Check-Tool für die Kommandozeile.  
Mit Unterstützung für Domain- und IP-Modus, JSON-Ausgabe und gängigen Mail-spezifischen DNS-Abfragen.

---

## ✨ Features

- Automatische Erkennung: IP vs. Domain
- Domain-Modus:
  - A / AAAA / MX
  - PTR & FCrDNS je MX
  - rDNS (via ipinfo.io)
  - SPF (`-sS`)
  - DMARC (`-sD`)
  - MTA-STS (`-sM`)
  - TLSA/DANE (`-sT`)
  - DKIM (`-sDK [selector]`)
- IP-Modus:
  - PTR
  - rDNS (via ipinfo.io)
  - FCrDNS-Check
- Eigene IP-Adressen anzeigen (`--me`):
  - Lokale IPv4
  - Öffentliche IPv4/IPv6
  - CGNAT-Erkennung
- JSON-Ausgabe (`--json`)
- Lizenz: GPLv3
- Autor: Pascal Bouquet (erstellt am 17.04.2025)


---

## 🧪 Beispielausgaben

### Domain:
```bash
$ chkip bouquet24.de

A:       31.16.143.139
AAAA:    No AAAA record
MX:
  Host:   mail.bouquet24.de
  IP:     172.94.17.144
  PTR:    mail.bouquet24.de
  FCrDNS: ok

rDNS:    ip1f108f8b.dynamic.kabel-deutschland.de

$ chkip 172.94.17.144                                               
PTR:     mail.bouquet24.de
rDNS:    mail.bouquet24.de
FCrDNS:  ok

